# Method: projects.locations.resourceMaintenances.list

- [HTTP request](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#body.request_body)
- [Response body](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#body.ListResourceMaintenancesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/unified-maintenance/docs/reference/rest/v1beta/projects.locations.resourceMaintenances/list#try-it)

Retrieve a collection of resource maintenances.

### HTTP request

`GET https://maintenance.googleapis.com/v1beta/{parent=projects/*/locations/*}/resourceMaintenances`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent of the resource maintenance. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of resource maintenances to send per page. |
| `pageToken` | `string` The page token: If the nextPageToken from a previous response is provided, this request will send the subsequent page. |
| `filter` | `string` Filter the list as specified in <https://google.aip.dev/160>. |
| `orderBy` | `string` Order results as specified in <https://google.aip.dev/132>. |

### Request body

The request body must be empty.

### Response body

The response structure for the resourceMaintenances.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "resourceMaintenances": [ { object (`ResourceMaintenance`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `resourceMaintenances[]` | ``object (`ResourceMaintenance`)`` The resulting resource maintenances. |
| `nextPageToken` | `string` If present, the next page token can be provided to a subsequent resourceMaintenances.list call to list the next page. If empty, there are no more pages. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `maintenance.resourceMaintenances.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).